<?php
class Ssc_Service_PostContent
{
    public function get($post)
    {
        global $wp_query;

        $oldQuery = $wp_query;

        query_posts(array(
            'p' => $post->ID,
            'post_type' => $post->post_type,
            'post_status' => $post->post_status,
        ));

        if (!have_posts()) {
            require_once(dirname(__FILE__) . '/Exception.php');
            throw new Ssc_Service_Exception('Cannot get post content');
        }

        the_post();

        ob_start();
        the_content();
        $result = ob_get_clean();

        $wp_query = $oldQuery;

        return wp_check_invalid_utf8($result, TRUE);
    }
}