<?php
require_once SSC_APPLICATION_PATH . '/services/SeoScore/Factor/Abstract/Bool.php';

class Ssc_Service_SeoScore_Factor_DecorationBold
    extends Ssc_Service_SeoScore_Factor_Abstract_Bool
{
    protected $_label = 'Content contains at least one bold keyword.';

    public function analyze($service)
    {
        return $this->setValue($service->keywordDecorated(array('strong', 'b'),
            'font-weight', 'bold'));
    }
}
