<?php
require_once SSC_APPLICATION_PATH . '/services/SeoScore/Helper/Abstract/AnalyzeMetaTag.php';

class Ssc_Service_SeoScore_Helper_AnalyzeMetaKeywords
    extends Ssc_Service_SeoScore_Helper_Abstract_AnalyzeMetaTag
{
    public function init()
    {
        parent::init();

        $this->_pattern = str_replace('{$name}', 'keywords', self::PATTERN_META);
    }

    protected function _keywordMatch($service, $text, $keyword)
    {
        $keyword = preg_quote($keyword, '~');

        foreach (explode(',', $text) as $item) {
            if (preg_match("~^\s*{$keyword}\s*\$~iu", $item)) {
                return TRUE;
            }
        }

        return FALSE;
    }
}