<?php
require_once SSC_APPLICATION_PATH . '/services/SeoScore/Helper/Abstract/Base.php';

class Ssc_Service_SeoScore_Helper_HasNoncommonWords
    extends Ssc_Service_SeoScore_Helper_Abstract_Base
{
    public function direct($service, $text)
    {
        $text = trim($text);

        if ('' == $text || !$service->hasWords($text)) {
            return FALSE;
        }

        return $service->hasWords($service->removeCommonWords($text));
    }
}
