<?php
require_once SSC_APPLICATION_PATH . '/services/SeoScore/Helper/Abstract/Base.php';

class Ssc_Service_SeoScore_Helper_HtmlToText
    extends Ssc_Service_SeoScore_Helper_Abstract_Base
{
    public function direct($service, $string)
    {
        $string = preg_replace('~<script\b[^>]*>.*?</script>~is', '', $string);
        $string = preg_replace('~<style\b[^>]*>.*?</style>~is', '', $string);

        // insert spaces between tags
        $string = preg_replace('~(<\/[^>]+?>)(<[^>\/][^>]*?>)~isu', '$1 $2', $string);

        $string = strip_tags($string);
        $string = str_replace('&nbsp;', ' ', $string);
        $string = html_entity_decode($string, ENT_QUOTES, 'UTF-8');
        $string = $service->normalizeWhitespace($string);

        return $string;
    }
}
