<?php
require_once SSC_APPLICATION_PATH . '/services/SeoScore/Helper/Abstract/Base.php';

class Ssc_Service_SeoScore_Helper_KeywordInPattern
    extends Ssc_Service_SeoScore_Helper_Abstract_Base
{
    public function direct($service, $pattern, $keyword=NULL, $checkBegin=FALSE,
        $contentType='html')
    {
        $content = $service->getAnalyzeData($contentType);
        if (is_null($keyword)) {
            $keyword = $service->getanalyzeData('primary');
        }

        if (!preg_match_all($pattern, $content, $matches)) {
            return 0;
        }

        $result = 0;
        $targetResult = $checkBegin? 2 : 1;
        foreach ($matches[1] as $match) {
            $match = $service->htmlToText($match);
            $currentResult = $service->keywordInText($match, $keyword, $checkBegin);

            if ($currentResult > $result) {
                $result = $currentResult;
            }

            if ($res >= $targetResult) {
                break;
            }
        }

        return $result;
    }
}
