<?php
require_once SSC_APPLICATION_PATH . '/controllers/Abstract/Filter.php';

class Ssc_Controller_PostColumnsController
    extends Ssc_Controller_Abstract_Filter
{
    function valueAction()
    {
        $name = $this->getParam(0);

        global $post;

        $output = NULL;
        switch ($name) {
            case 'score':
                $value = Ssc_Application::getModel('PostMeta')
                    ->setPostId($post->ID)
                    ->getValue('score');
                if (!is_null($value)) {
                    $output = round($value) . '%';
                }
                break;
            case 'primary':
                $value = Ssc_Application::getModel('PostMeta')
                    ->setPostId($post->ID)
                    ->getValue('primary');
                if (!is_null($value)) {
                    $output = $this->_view->escape($value);
                }
                break;
        }

        if (!is_null($output)) {
            echo apply_filters('custom_admin_listing_value', $output, $name);
        }
    }
}