<?php
require_once SSC_APPLICATION_PATH . '/services/SeoScore/Factor/Abstract/Bool.php';

class Ssc_Service_SeoScore_Factor_H3Contain
    extends Ssc_Service_SeoScore_Factor_Abstract_Bool
{
    protected $_label = 'H3 tag contains primary keyword.';

    public function analyze($service)
    {
        return $this->setValue((bool) $service->keywordInTagContent('h3'));
    }
}
