<?php
require_once SSC_APPLICATION_PATH . '/services/SeoScore/Helper/Abstract/Base.php';

class Ssc_Service_SeoScore_Helper_KeywordInText
    extends Ssc_Service_SeoScore_Helper_Abstract_Base
{
    public function direct($service, $text, $keyword=NULL, $checkBegin=FALSE)
    {
        if (is_null($keyword)) {
            $keyword = $service->getanalyzeData('primary');
        }

        $found = FALSE;
        $begin = FALSE;

        if (!preg_match('~(?:^|[^\w\d])' . preg_quote($keyword, '~') . '(?:$|[^\w\d])~iu', $text,
            $matches, PREG_OFFSET_CAPTURE)
        ) {
            return 0; //Not found
        }

        $found = TRUE;
        $pos = $matches[0][1];
        if ($checkBegin) {
            if (0 == $pos || !$service->hasNoncommonWords(substr($text, 0, $pos))) {
                $begin = TRUE;
            }
        }

        return $found + $begin;
    }
}
